summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2014-02-09 08:53:14 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-02-11 12:15:06 -0600
commit68feb96a400a0fd5bbf05f6e41713822694bb2af (patch)
tree440096e3bdfed8b2b046f044d26eab0a68b26ab3 /graphics
parent18ae1165987c76937c8fb2f3883921d48bfe1040 (diff)
downloadslackbuilds-68feb96a400a0fd5bbf05f6e41713822694bb2af.tar.gz
slackbuilds-68feb96a400a0fd5bbf05f6e41713822694bb2af.tar.xz
graphics/qiv: Updated for version 2.3.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/qiv/doinst.sh3
-rw-r--r--graphics/qiv/qiv.SlackBuild14
-rw-r--r--graphics/qiv/qiv.info6
3 files changed, 12 insertions, 11 deletions
diff --git a/graphics/qiv/doinst.sh b/graphics/qiv/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/qiv/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/qiv/qiv.SlackBuild b/graphics/qiv/qiv.SlackBuild
index 96d6bb20b2..03349c055d 100644
--- a/graphics/qiv/qiv.SlackBuild
+++ b/graphics/qiv/qiv.SlackBuild
@@ -5,8 +5,8 @@
# Written by Pablo Santamaria (pablosantamaria@gmail.com)
PRGNAM=qiv
-VERSION=${VERSION:-2.2.4}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.3.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -52,13 +52,10 @@ find -L . \
-exec chmod 644 {} \;
sed -i "s/-O2 -Wall/$SLKCFLAGS/" Makefile
+sed -i "s|\./qiv|echo &|" Makefile # remove test
make
-# Simple and stupid install
-mkdir -p $PKG/usr/bin
-mkdir -p $PKG/usr/man/man1
-install -s -m 0755 qiv $PKG/usr/bin
-install -m 0644 qiv.1 $PKG/usr/man/man1
+make install PREFIX=$PKG/usr || true
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -70,13 +67,14 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- Changelog README* intro.jpg qiv-command.example \
+ Changelog README* intro.jpg contrib/ \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/qiv/qiv.info b/graphics/qiv/qiv.info
index 3c140c2723..020168f826 100644
--- a/graphics/qiv/qiv.info
+++ b/graphics/qiv/qiv.info
@@ -1,8 +1,8 @@
PRGNAM="qiv"
-VERSION="2.2.4"
+VERSION="2.3.1"
HOMEPAGE="http://spiegl.de/qiv/"
-DOWNLOAD="http://spiegl.de/qiv/download/qiv-2.2.4.tgz"
-MD5SUM="1425f89c90f9c045858fccf24d894c97"
+DOWNLOAD="http://spiegl.de/qiv/download/qiv-2.3.1.tgz"
+MD5SUM="93aea7469be64ebd35277a6dac079fc8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="imlib2"